# Change Password

## Change Password

The Change Password API enables a user to change his personal password. There is no need to transfer the user parameter. The application has the session context to identify it.

## Input Parameters:

| Name        | Required | Definition                                                                                                                                                                                                                                                                                                        | Comments |
| ----------- | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| NewPassword | Y        | <p>Format: 8 -10 chars. Alphanumeric, Including char: \_ ! @ # $ % ^ \* + \~ ?<br>Required to have at least<br>- One Upper (e.g. A, B...)<br>- One Lower (e.g. a, b...)<br>- One number (e.g. 1, 2…)<br>- One special character (e.g. \_ ! @...)<br><br>Description: New password value provided by the user.</p> |          |
| OldPassword | Y        | <p>Format: Alphanumeric, 6-10<br>Description: Current password verification.</p>                                                                                                                                                                                                                                  |          |

## Output Parameters:

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
 <PraxellXMLRequest>
 <AuthenticationDetails>
    <UserName>Aaronb_CSQ_QA</UserName>
    <UserPassword>1q2w3e7u</UserPassword>
 </AuthenticationDetails> 
    <ClientSourceIP></ClientSourceIP>
 <ServiceDetails>
    <ServiceName>ChangePassword</ServiceName>
    <UniqueRequestId>132636356538</UniqueRequestId>
 </ServiceDetails>
 <Origin>
    <OriginType>ExtAPI</OriginType>
 </Origin>
 <ServiceParams>
    <NewPassword>123456</NewPassword>
    <OldPassword>567890</OldPassword>
</ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
 <PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>ChangePassword</ServiceName>
        <SessionId>73491609200742114</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2007-11-25 09:42:48</ServiceDate>
        <ServiceId>73491609200742114</ServiceId>
    </ResponseDetails>
    <ResponseParams>
    </ResponseParams>    
 </PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ChangePassword</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70004</StatusCode>
    <StatusName>InvalidPassword</StatusName>
    <StatusDescription>InvalidPassword</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/change-password.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
